return function (class_name)
    local sensor_map = {
        ['DiscreteSensor'] = {
            get = function (_, id)
                if id == 'discrete' then
                    return {SystemId = 1}
                end
            end
        },
        ['ThresholdSensor'] = {
            get = function (_, id)
                if id == 'threshold' then
                    return {SystemId = 2}
                end
            end
        },
    }
    return sensor_map[class_name]
end